## net.i2p.router.transport.tcp
Class TCPConnectionEstablisher

    java.lang.Object
      net.i2p.router.transport.tcp.TCPConnectionEstablisher

All Implemented Interfaces:
  java.lang.Runnable

    public class TCPConnectionEstablisher

extends java.lang.Object
implements java.lang.Runnable

Build new outbound connections, one at a time. All the heavy lifting is in `ConnectionBuilder.establishConnection()`

Constructor Summary
`TCPConnectionEstablisher(RouterContext ctx, TCPTransport transport)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCPConnectionEstablisher

    public TCPConnectionEstablisher(RouterContext ctx,
                                    TCPTransport transport)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`